CommonConstants (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Interface CommonConstants

- All Known Subinterfaces:
    AAFConstants
  All Known Implementing Classes:
    AAFBuilder, AAFElement, AAFFactory, AMWADemoClass, ClassDefinitionImpl, ContributorImpl, EdgeCodeValueImpl, MediaEngine, MetaDefinitionImpl, MetaDictionaryGenerator, OrganisationImpl, PersonImpl, PolyFileDescriptorImpl, ProductVersionImpl, PropertyDefinitionImpl, PropertyWrapperDefinitionImpl, RGBAComponentImpl, SimpleDescriptionImpl, SingletonTypeDefinitionImpl, TimecodeValueImpl, TypeDefinitionCharacterImpl, TypeDefinitionEnumerationImpl, TypeDefinitionExtendibleEnumerationImpl, TypeDefinitionFixedArrayImpl, TypeDefinitionImpl, TypeDefinitionIndirectImpl, TypeDefinitionIntegerImpl, TypeDefinitionObjectReferenceImpl, TypeDefinitionOpaqueImpl, TypeDefinitionRecordImpl, TypeDefinitionRenameImpl, TypeDefinitionSetImpl, TypeDefinitionStreamImpl, TypeDefinitionStringImpl, TypeDefinitionStrongObjectReferenceImpl, TypeDefinitionVariableArrayImpl, TypeDefinitionWeakObjectReferenceImpl, VersionTypeImpl, XSDGenerator

      public interface CommonConstants

  Implement this interface to access constant values used across the MAJ API.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AAF_METADICT_NAMESPACE` Namespace definition for all metadictionary elements.
    `static String` | `AAF_METADICT_PREFIX` Short prefix name to use in XML file names to reference the AAF metadictionary namespace.
    `static String` | `AAF_XML_NAMESPACE` Namespace definition for all types and elements in the set of baseline AAF classes.
    `static String` | `AAF_XML_PREFIX` Short prefix name to use in XML file names to reference the AAF XML baseline namespace.
    `static AUID` | `ApplicationPluginObjectID`
    `static AUID` | `ApplicationPluginsID`
    `static int` | `MAX_NUM_RGBA_COMPS` Specifies the maximum number of RGBA components in an RGBA layout.
    `static AUID` | `MemberOfID`
    `static AUID` | `ObjectClassID`
    `static AUID` | `ParentClassID`
    `static AUID` | `PropertiesID`
    `static String` | `XMLClassIDAsAttributeName` Name for an attribute that is used to emit the identifier for the class of an object when the style it is to be emitted as is `EmitXMLClassIDAs.Attribute`.

- - ### Field Detail

    - #### MAX_NUM_RGBA_COMPS

          static final int MAX_NUM_RGBA_COMPS

      Specifies the maximum number of RGBA components in an RGBA layout.

      See Also:
        Constant Field Values

    - #### AAF_XML_NAMESPACE

          static final String AAF_XML_NAMESPACE

      Namespace definition for all types and elements in the set of baseline AAF classes.

      See Also:
        Constant Field Values

    - #### AAF_XML_PREFIX

          static final String AAF_XML_PREFIX

      Short prefix name to use in XML file names to reference the AAF XML baseline namespace.

      See Also:
        Constant Field Values

    - #### AAF_METADICT_NAMESPACE

          static final String AAF_METADICT_NAMESPACE

      Namespace definition for all metadictionary elements.

      See Also:
        Constant Field Values

    - #### AAF_METADICT_PREFIX

          static final String AAF_METADICT_PREFIX

      Short prefix name to use in XML file names to reference the AAF metadictionary namespace.

      See Also:
        Constant Field Values

    - #### XMLClassIDAsAttributeName

          static final String XMLClassIDAsAttributeName

      Name for an attribute that is used to emit the identifier for the class of an object when the style it is to be emitted as is `EmitXMLClassIDAs.Attribute`.

      See Also:
        `EmitXMLClassIDAs`, `ClassDefinition.getEmitXMLClassIDAs()`, Constant Field Values

    - #### ObjectClassID

          static final AUID ObjectClassID

    - #### ApplicationPluginObjectID

          static final AUID ApplicationPluginObjectID

    - #### ParentClassID

          static final AUID ParentClassID

    - #### MemberOfID

          static final AUID MemberOfID

    - #### ApplicationPluginsID

          static final AUID ApplicationPluginsID

    - #### PropertiesID

          static final AUID PropertiesID

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.